#ifndef TPINTERFACE_H
#define TPINTERFACE_H

#ifdef HAVE_CONFIG_H
#include  <config.h>
#endif

#include <netdb.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <time.h>
#include <tpengine.h>
#include <tpcommon.h>
#include <tpio_unix.h>
#include <tpclient.h>
#include "support.h"
#include <gtk/gtk.h>

#define TESTSERVER 	"test1.tst.dk"
#define TESTSERVERPORT	1640

enum {
    MYSTATE_IDLE,
    MYSTATE_STDTEST
};

TPEngine*	engp;
time_t		starttime, stoptime;
int		my_state;

const gchar* initialize(gboolean);
void clear_test_results(gboolean);
void update_testing(TPEngine*, gboolean);
void* tptest(void*);
void update_progressbar(TPEngine*);
void do_error(gchar*);
void update_best_rate(TPEngine*);
void update_load_results(TPEngine*);
void fill_progressbar(void);
void init_progressbar(void);

#endif /* TPINTERFACE_H */
